/**
 * This class test the communication with the servlet from another
 * java class or applet..
 */
package pduDB;

import java.net.*;
import java.io.*;

import mil.navy.nps.dis.*;
import mil.navy.nps.util.*;
import mil.navy.nps.disEnumerations.*;

import org.w3c.dom.*;
import com.docuverse.freedom.*;

import iwt.domUtil.*;
import iwt.*;
import iwt.mine.*;


public class ServletPostTest {
 
 private static  String urlStr = "http://gandalf.npac.syr.edu:4004/"+
                      "servlet/PduLogger";

 private static String getXML() {
     try {
         FileInputStream fin = new FileInputStream(".\\pduDB\\testminepdu.xml");
         int len = fin.available();
         System.out.println("len of the stream = "+len);
         byte[] b = new byte[len+1];
         fin.read(b);
         return new String(b);
     }catch(Exception e) {
         System.out.println(e.getMessage());
         return null;
     }
 }

 private static void callServlet() {
     try {
     System.out.println("URL="+urlStr);
     URL url = new URL(urlStr);

     URLConnection conn = url.openConnection();
     conn.setDoOutput(true);
     conn.setUseCaches(false);
     conn.setDoInput(true);
     

     PrintWriter out = new PrintWriter(conn.getOutputStream());

     out.println("action=save&eid=1");
     out.print(getXML().trim());
 
     out.close();
     System.out.println("Opening input stream ");
     InputStream inp = conn.getInputStream();
     BufferedReader inpd = new BufferedReader(new InputStreamReader(inp)); 
     String line;
     while ((line = inpd.readLine()) != null) {
          System.out.println(line + "\n");
     }

     }catch(Exception e) {
        System.out.println(e.getMessage());
     }
 }
 private static void createXML() {
      String oFilename = ".\\pduDB\\xmls\\testminepdu.xml";
      String header = "<?XML version=\"1.0\"?>"+"\n"+
                      "<!DOCTYPE DIS_F SYSTEM \"DIS.dtd\">";
      try{
      Document doc = new FreedomDocument();
      Element  ele = doc.createElement(DIS_TAGS.PDUS);
      doc.appendChild(ele);

      System.out.println("Created DOM document..");

      PrintStream     fout = new PrintStream(new FileOutputStream(oFilename));

//      FirePdu fPdu = new FirePdu();
//      DetonationPdu dPdu = new DetonationPdu();
      MinePdu mp = new MinePdu();
      EntityStatePdu ePdu = new EntityStatePdu();
      MinefieldPdu mfp = new MinefieldPdu();
      AcknowledgePdu aPdu = new AcknowledgePdu();
      StartResumePdu srPdu = new StartResumePdu();
      StopFreezePdu sfPdu = new StopFreezePdu();
/*
      mp.insert(ele);
      mfp.insert(ele);
      aPdu.insert(ele); 
      srPdu.insert(ele);
      sfPdu.insert(ele);

 
      printDOM aPrinter = new printDOM();
      aPrinter.print(doc,header,fout);
*/
      mp.printValues(2,System.out);    
      ePdu.printValues(2,System.out);
      }catch(Exception e) {System.out.println(e.getMessage());}
 }
 public static void main(String[] args) {
     //callServlet();
     createXML();
 }
}
