create table pdu_estate_table (
id 			int NOT NULL IDENTITY PRIMARY KEY, 	-- table primary key
timestamp 		int NULL,		-- disHeader timestamp
pduType			int NULL,		-- disHeader pdutype
protocolVersion 	int NULL,		-- disHeader protocolVersion
exerciseId 		int NULL,		-- disHeader ExerciseID
protocolFamily		int NULL,		-- disHeader protocolFamily
eID			int NULL,		-- entity ID record
aID			int NULL,		-- entity application id
sID			int NULL,		-- entity site Id
forceID			int NULL,		-- forceID
articulationParameterCount	int NULL,	-- articulationParameter count
etype_extra		int NULL,		-- friendly entity type extra
etype_country		int NULL,		--
etype_kind		int NULL,		--
etype_specific		int NULL,		--
etype_category		int NULL,		--
etype_subcategory	int NULL,		--
etype_domain		int NULL,		--
aetype_extra		int NULL,		-- alternate entity type extra
aetype_country		int NULL,		--
aetype_kind		int NULL,		--
aetype_specific		int NULL,		--
aetype_category		int NULL,		--
aetype_subcategory	int NULL,		--
aetype_domain		int NULL,		--
linearVelocity_z	varchar(20) NULL,	-- Linear Velocity Record
linearVelocity_y	varchar(20) NULL,	--
linearVelocity_x	varchar(20) NULL,	--
world_x			varchar(20) NULL,	-- World Coordinates
world_y			varchar(20) NULL,	-- 
world_z			varchar(20) NULL,	--
euler_theta		varchar(20) NULL,	-- Euler Angle records
euler_psi		varchar(20) NULL,	-- 
euler_phi		varchar(20) NULL,	--
entityAppearance	int NULL,		-- Entity Appearance Record
deadReckoningalgo	int NULL,		-- Dead Reckoning algorithm
linearAccel_z		varchar(20) NULL,	-- Entity Linear Acceleration
linearAccel_y		varchar(20) NULL,	-- 
linearAccel_x		varchar(20) NULL,	-- 
angularVelo_z		varchar(20) NULL,	-- Angular Velocity Record
angularVelo_y		varchar(20) NULL,	--
angularVelo_x		varchar(20) NULL,	--
characterSet		int NULL, 		-- Entity Marking Character Set
eMarkings		varchar(32) NULL,	-- Entity Marking String Record
capabilities		varchar(16) NULL	-- Entity Capabilities Record
)
